/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.terasoluna.blogic.valueobject;

/**
 * BlancoTerasoluna のなかで利用されるValueObjectです。
 */
public class BlancoTerasolunaBLogicStructure {
    /**
     * フィールド [name]
     *
     * 項目の型 [java.lang.String]<br>
     * BLogic定義IDを指定します。必須項目です。
     */
    private String fName;

    /**
     * フィールド [package]
     *
     * 項目の型 [java.lang.String]<br>
     * パッケージ名を指定します。必須項目です。
     */
    private String fPackage;

    /**
     * フィールド [description]
     *
     * 項目の型 [java.lang.String]<br>
     * 説明を記述します。
     */
    private String fDescription;

    /**
     * フィールド [input]
     *
     * 項目の型 [java.lang.String]<br>
     * 入力のフルクラス名。
     */
    private String fInput;

    /**
     * フィールド [output]
     *
     * 項目の型 [java.lang.String]<br>
     * 出力のフルクラス名。
     */
    private String fOutput;

    /**
     * フィールド [useProxy]
     *
     * 項目の型 [boolean]<br>
     * 規定値   [true]<br>
     * Proxyクラスを生成するかどうか。
     */
    private boolean fUseProxy = true;

    /**
     * フィールド [useQueryDao]
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * QueryDaoを利用するかどうか。
     */
    private boolean fUseQueryDao = false;

    /**
     * フィールド [useUpdateDao]
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * UpdateDaoを利用するかどうか。
     */
    private boolean fUseUpdateDao = false;

    /**
     * フィールド [name]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * BLogic定義IDを指定します。必須項目です。
     *
     * @param argName フィールド[name]に格納したい値
     */
    public void setName(final String argName) {
        fName = argName;
    }

    /**
     * フィールド[name]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * BLogic定義IDを指定します。必須項目です。
     *
     * @return フィールド[name]に格納されている値
     */
    public String getName() {
        return fName;
    }

    /**
     * フィールド [package]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * パッケージ名を指定します。必須項目です。
     *
     * @param argPackage フィールド[package]に格納したい値
     */
    public void setPackage(final String argPackage) {
        fPackage = argPackage;
    }

    /**
     * フィールド[package]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * パッケージ名を指定します。必須項目です。
     *
     * @return フィールド[package]に格納されている値
     */
    public String getPackage() {
        return fPackage;
    }

    /**
     * フィールド [description]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 説明を記述します。
     *
     * @param argDescription フィールド[description]に格納したい値
     */
    public void setDescription(final String argDescription) {
        fDescription = argDescription;
    }

    /**
     * フィールド[description]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 説明を記述します。
     *
     * @return フィールド[description]に格納されている値
     */
    public String getDescription() {
        return fDescription;
    }

    /**
     * フィールド [input]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 入力のフルクラス名。
     *
     * @param argInput フィールド[input]に格納したい値
     */
    public void setInput(final String argInput) {
        fInput = argInput;
    }

    /**
     * フィールド[input]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 入力のフルクラス名。
     *
     * @return フィールド[input]に格納されている値
     */
    public String getInput() {
        return fInput;
    }

    /**
     * フィールド [output]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 出力のフルクラス名。
     *
     * @param argOutput フィールド[output]に格納したい値
     */
    public void setOutput(final String argOutput) {
        fOutput = argOutput;
    }

    /**
     * フィールド[output]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 出力のフルクラス名。
     *
     * @return フィールド[output]に格納されている値
     */
    public String getOutput() {
        return fOutput;
    }

    /**
     * フィールド [useProxy]のセッターメソッド
     *
     * 項目の型 [boolean]<br>
     * Proxyクラスを生成するかどうか。
     *
     * @param argUseProxy フィールド[useProxy]に格納したい値
     */
    public void setUseProxy(final boolean argUseProxy) {
        fUseProxy = argUseProxy;
    }

    /**
     * フィールド[useProxy]のゲッターメソッド
     *
     * 項目の型 [boolean]<br>
     * 規定値   [true]<br>
     * Proxyクラスを生成するかどうか。
     *
     * @return フィールド[useProxy]に格納されている値
     */
    public boolean getUseProxy() {
        return fUseProxy;
    }

    /**
     * フィールド [useQueryDao]のセッターメソッド
     *
     * 項目の型 [boolean]<br>
     * QueryDaoを利用するかどうか。
     *
     * @param argUseQueryDao フィールド[useQueryDao]に格納したい値
     */
    public void setUseQueryDao(final boolean argUseQueryDao) {
        fUseQueryDao = argUseQueryDao;
    }

    /**
     * フィールド[useQueryDao]のゲッターメソッド
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * QueryDaoを利用するかどうか。
     *
     * @return フィールド[useQueryDao]に格納されている値
     */
    public boolean getUseQueryDao() {
        return fUseQueryDao;
    }

    /**
     * フィールド [useUpdateDao]のセッターメソッド
     *
     * 項目の型 [boolean]<br>
     * UpdateDaoを利用するかどうか。
     *
     * @param argUseUpdateDao フィールド[useUpdateDao]に格納したい値
     */
    public void setUseUpdateDao(final boolean argUseUpdateDao) {
        fUseUpdateDao = argUseUpdateDao;
    }

    /**
     * フィールド[useUpdateDao]のゲッターメソッド
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * UpdateDaoを利用するかどうか。
     *
     * @return フィールド[useUpdateDao]に格納されている値
     */
    public boolean getUseUpdateDao() {
        return fUseUpdateDao;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.terasoluna.blogic.valueobject.BlancoTerasolunaBLogicStructure[");
        buf.append("name=" + fName);
        buf.append(",package=" + fPackage);
        buf.append(",description=" + fDescription);
        buf.append(",input=" + fInput);
        buf.append(",output=" + fOutput);
        buf.append(",useProxy=" + fUseProxy);
        buf.append(",useQueryDao=" + fUseQueryDao);
        buf.append(",useUpdateDao=" + fUseUpdateDao);
        buf.append("]");
        return buf.toString();
    }
}
